/******************
    User custom CSS
    ---------------

    In this file you can add your own custom CSS
    It will be loaded last, so you can override any other property.
    Also, it will never be updated. So if you inheritate a core template and just add here some CSS, you'll still benefit of all the updates
*/

.asterisk {display:none;}

.table-bordered > thead > tr > th {
  border: 1px solid #dadada;
}
.table-bordered > thead > tr > td {
  border: 1px solid #dadada;
}

/*****************************************************************/
/*                           Trivender                           */
/*****************************************************************/

@font-face {
    font-family: "Verdana";
    src: url("./fonts/Verdana.ttf") format("ttf"),
         url("./fonts/Verdana.svg") format("svg"),
         url("./fonts/Verdana.eot") format("eot"),
         url("./fonts/Verdana.woff") format("woff"),
         url("./fonts/Verdana.otf") format("otf"),
         url("./fonts/Verdana.woff2") format("woff2");
    font-weight: normal;
    font-style: normal;
}

body.font-verdana {
    font-family: "Verdana";
}

.survey-welcome {
    font-size: 14px;
}

.brand-logo .top-container .top-content {
    padding: 1em 0em;
}

button.btn.btn-primary.ls-language-changer-item {
    background-color: #056083;
    color: #ffffff;
    border-color: #056083;
}

.progress-bar {
    background-color: #056083;
}

.dropdown-item.active, 
.dropdown-item:active {
    background-color: transparent;
    color: #adb5bd;
}

.btn-check:active+.btn-outline-secondary:focus,
.btn-check:checked+.btn-outline-secondary:focus, 
.btn-outline-secondary.active:focus, 
.btn-outline-secondary.dropdown-toggle.show:focus, 
.btn-outline-secondary:active:focus {
    box-shadow: none;
}

.bootstrap-select .dropdown-toggle:focus, 
.bootstrap-select>select.mobile-device:focus+.dropdown-toggle {
    outline: none !important;
}

.btn-check:focus+.btn-outline-secondary, 
.btn-outline-secondary:focus {
    box-shadow: none;
}

.ls-answers tbody .answertext {
    text-align: left;
}

.ls-answers .answertextright {
    text-align: right;
}

.ls-questionhelp,
.ls-questionhelp:before {
    color: #056083;
}

/* Change the blue color on the first page. */
.survey-description,
.survey-welcome,
.ls-privacy-head {
    color: #212529 !important;
}

/* Remove the border from the first child of the table. */
.table>:not(:first-child) {
    border: revert;
}

.answer-container {
    padding: 15px;
}

tbody, 
td, 
tfoot, 
th, 
thead, 
tr {
    border-color: #dadada;
}

.radio-item input[type="radio"]:focus + label::before,
.checkbox-item input[type="checkbox"]:focus + label::before{
  outline: none;
}

.bootstrap-select>.dropdown-toggle.bs-placeholder, 
.bootstrap-select>.dropdown-toggle.bs-placeholder, 
.bootstrap-select>.dropdown-toggle.bs-placeholder, 
.bootstrap-select>.dropdown-toggle.bs-placeholder {
    border-color: #ced4da;
}

.bootstrap-select>.dropdown-toggle.bs-placeholder, 
.bootstrap-select>.dropdown-toggle.bs-placeholder:active, 
.bootstrap-select>.dropdown-toggle.bs-placeholder:focus, 
.bootstrap-select>.dropdown-toggle.bs-placeholder:hover {
    background-color: transparent;
    color: #212529;
}

/*****************************************************************/
/*                     Start All Buttons                         */
/*****************************************************************/

/* Improve button focus and hover effects */
.btn,
.progress,
.dropdown-menu,
.checkbox-item label::before,
.checkbox-item label::after,
.form-control,
.modal-content,
.question-container {
    outline: none;
}

.btn.active.focus,
.btn.active:focus,
.btn.focus,
.btn:active.focus,
.btn:active:focus,
.btn:focus {
    outline: none;
}

input[type=checkbox]:focus,
input[type=file]:focus,
input[type=radio]:focus {
    outline: none;
}

.form-control:focus,
.form-select:focus{
    box-shadow: none;
}

/* Improve radio and checkbox button focus effects */
.radio-item input[type="radio"]:focus+label::before,
.checkbox-item input[type="checkbox"]:focus+label::before,
.radio-item input[type="radio"]:focus+label::after,
.checkbox-item input[type="checkbox"]:focus+label::after {
    outline: none;
}

.radio-item label::after {
    background-color: #056083;
}

.checkbox-item label::after {
    color: #ffffff;
	background-color: #056083;
}

/* Customize Next/Submit buttons */
.ls-move-submit-btn,
.ls-move-next-btn {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

.ls-move-submit-btn:active,
.ls-move-submit-btn.active,
.ls-move-submit-btn:focus,
.ls-move-submit-btn.focus,
.ls-move-submit-btn:active:focus,
.ls-move-submit-btn.active:focus,
.ls-move-submit-btn:active.focus,
.ls-move-submit-btn.active.focus,
.ls-move-next-btn:active,
.ls-move-next-btn.active,
.ls-move-next-btn:focus,
.ls-move-next-btn.focus,
.ls-move-next-btn:active:focus,
.ls-move-next-btn.active:focus,
.ls-move-next-btn:active.focus,
.ls-move-next-btn.active.focus,
.ls-move-submit-btn:hover,
.ls-move-submit-btn:active:hover,
.ls-move-submit-btn.active:hover,
.ls-move-next-btn:hover,
.ls-move-next-btn:active:hover,
.ls-move-next-btn.active:hover {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

/* Customize gender/yes-no buttons */
.gender-button .btn-primary,
.yes-no .btn-primary,
.bootstrap-buttons-div .button-item {
    background-color: #ffffff;
    color: #056083;    
    border-color: #056083;
}

.btn-check:active+.btn-primary,
.btn-check:checked+.btn-primary,
.btn-primary.active,
.btn-primary:active,
.show>.btn-primary.dropdown-toggle {
    background-color: #056083 !important; 
    color: #ffffff !important;    
    border-color: #056083 !important;
}

.gender-button .btn-primary:hover,
.yes-no .btn-primary:hover,
.bootstrap-buttons-div .button-item:hover {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

.gender-button .btn-primary:active,
.gender-button .btn-primary.active:hover,
.gender-button .btn-primary:focus,
.gender-button .btn-primary.active,
.gender-button .btn-primary.active:focus,
.yes-no .btn-primary:focus,
.yes-no .btn-primary.active,
.yes-no .btn-primary.active:hover,
.yes-no .btn-primary.active:focus,
.bootstrap-buttons-div .button-item:focus,
.bootstrap-buttons-div .button-item.active,
.bootstrap-buttons-div .button-item:focus {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

/* Customize Date Picker button */
.date-timepicker-group .btn-primary,
.date-timepicker-group .btn-primary:hover,
.date-timepicker-group .btn-primary:active,
.date-timepicker-group .btn-primary:focus,
.date-timepicker-group .btn-primary:active:hover,
.date-timepicker-group .btn-primary:active:focus,
.date-timepicker-group .btn-primary:active.focus,
.date-timepicker-group .btn-primary.hover,
.date-timepicker-group .btn-primary.active,
.date-timepicker-group .btn-primary.focus,
.date-timepicker-group .btn-primary.active:hover,
.date-timepicker-group .btn-primary.active:focus,
.date-timepicker-group .btn-primary.active.focus {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

/* Customize Previous buttons */
.ls-move-previous-btn {
    background-color: #ffffff;
    color: #056083;
	border-color: #056083;
}

.ls-move-previous-btn:hover,
.ls-move-previous-btn:active:hover,
.ls-move-previous-btn.active:hover,
.ls-move-previous-btn:active,
.ls-move-previous-btn.active,
.ls-move-previous-btn:focus,
.ls-move-previous-btn.focus,
.ls-move-previous-btn:active:focus,
.ls-move-previous-btn.active:focus,
.ls-move-previous-btn:active.focus,
.ls-move-previous-btn.active.focus {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

/* Customize Upload buttons */
.upload.btn-primary {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

.upload.btn-primary:hover,
.upload.btn-primary:active:hover,
.upload.btn-primary.active:hover {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

.upload.btn-primary:active,
.upload.btn-primary.active,
.upload.btn-primary:focus,
.upload.btn-primary.focus,
.upload.btn-primary:active:focus,
.upload.btn-primary.active:focus,
.upload.btn-primary:active.focus,
.upload.btn-primary.active.focus {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

.upload-div .btn {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

.upload-div .btn:active,
.upload-div .btn.active,
.upload-div .btn:focus,
.upload-div .btn.focus,
.upload-div .btn:focus,
.upload-div .btn:focus,
.upload-div .btn.focus,
.upload-div .btn.focus {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

.upload-div .btn:hover,
.upload-div .btn:active:hover,
.upload-div .btn.active:hover {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

.uploader .alert-info {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

.file-upload-modal-footer .btn {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

.file-upload-modal-footer .btn:active,
.file-upload-modal-footer .btn.active,
.file-upload-modal-footer .btn:focus,
.file-upload-modal-footer .btn.focus,
.file-upload-modal-footer .btn:active:focus,
.file-upload-modal-footer .btn.active:focus,
.file-upload-modal-footer .btn:active.focus,
.file-upload-modal-footer .btn.active.focus {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

.file-upload-modal-footer .btn:hover,
.file-upload-modal-footer .btn:active:hover,
.file-upload-modal-footer .btn.active:hover {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

/* Improve hover effect on uploaded files buttons */
.upload-files .uploadedfiles td a.btn-primary {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

.upload-files .uploadedfiles td a.btn-primary:hover,
.upload-files .uploadedfiles td a.btn-primary:active,
.upload-files .uploadedfiles td a.btn-primary:focus {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

/* Customize the delete button for uploaded files */
.upload-files ul.files-list fieldset div:nth-child(3) a.btn-danger {
    background-color: #d9534f;
    color: #fff;
    border-color: #d43f3a;
}

.upload-files ul.files-list fieldset div:nth-child(3) a.btn-danger:hover {
    background-color: #c9302c;
    color: #fff;
    border-color: #ac2925;
}

.save-survey-input .btn,
.modal-dialog .btn {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

.save-survey-input .btn:hover,
.save-survey-input .btn:active:hover,
.save-survey-input .btn.active:hover,
.modal-dialog .btn:hover,
.modal-dialog .btn:active:hover,
.modal-dialog .btn.active:hover {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

.btn-info {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

.btn-info:hover {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

/* Customize bootstrap buttons */
.bootstrap-buttons-div .btn-primary {
    background-color: #ffffff;
    color: #056083;
    border-color: #056083;
}

.bootstrap-buttons-div .btn-primary:hover {
    background-color: #056083;
    color: #ffffff;
    border-color: #056083;
}

button.btn.dropdown-toggle.btn-outline-secondary {
    background-color: transparent;
    border: 1px solid #ced4da;
    color: #212529;
}

/*****************************************************************/
/*                        End All Buttons                        */
/*****************************************************************/

/*****************************************************************/
/*                       Start Sortables                         */
/*****************************************************************/
/*unsorted*/
.sortable-choice .ls-choice.sortable-item {
    background-color: #ffffff;
    color: #056083;    
    border-color: #056083;
}

/*sorted*/
.sortable-rank .ls-choice.sortable-item {
    background-color: #056083;
    color: #ffffff;    
    border-color: #056083;
}

/*****************************************************************/
/*                      End Sortables                            */
/*****************************************************************/

/*****************************************************************/
/*                       Start Slider                            */
/*****************************************************************/
.slider-list .slider.slider-untouched .slider-handle {
    background-color: #056083;
}

.bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow:before,
.bs-tooltip-top .tooltip-arrow:before {
    border-top-color: #056083;
}

.slider-touched .tooltip-inner,
.slider-touched .slider-handle {
    background-color: #056083;
}

.tooltip-inner {
    background-color: #056083;
}

.slider-touched .tooltip.top .tooltip-arrow {
    border-top-color: #056083;
}

.slider-handle {
    background-color: #056083;
    background-image: linear-gradient(to bottom, #056083 0%, #056083 100%);
}

.slider-selection {
    background-image: linear-gradient(to bottom, #056083 0%, #056083 100%);
}

/*****************************************************************/
/*                       End Slider                              */
/*****************************************************************/

/* Footer CSS */
li ul li.index-item-current {
    background-color: transparent;
}

/* Removed the classess background color in the question index */
li ul li a.bg-warning,
li ul li a.bg-danger {
    background-color: transparent !important;
}

footer .copyright p {
	font-family: "arial";	
	font-size: 10.0pt;
	color: #7f8c8d;
	text-align: center;		
}

footer .copyright a {
    color: #337ab7;
    text-decoration: none;
}

footer .copyright a:hover {
    text-decoration: underline;
}

@media (min-width: 769px) {
    .form-horizontal .control-label.col-12 {
        text-align: left;
    }
}


/******************
  Entfernt das rote Pflichtfragesternchen optisch - pflicht bleibt bestehen*/
.ls-question-mandatory .asterisk,
.required .asterisk,
.asterisk {
    display: none !important;
}
